import usePolling from "../hook/Polling";
import useUserReducer from "../reducer/user";

export default function useUserApi() {
    const [user, dispatchUser] = useUserReducer();

    const useGet = () => {
        const onResponce = (json) => {
            dispatchUser({ type: "parse", json });
        }

        usePolling('/api/user', onResponce); // <<-- fetch once

        return user;
    }

    return {
        get: useGet
    }
}